from staff.lib.forms.staff_form import StaffForm
from staff.lib.forms.staff_fields import StaffCharField
from staff.lib.forms.validators import latin_field_validator


class LocationForm(StaffForm):
    location_descr = StaffCharField(required=False, max_length=255)
    location_descr_en = StaffCharField(
        required=False,
        max_length=255,
        validators=[latin_field_validator],
    )
